import zod from "zod";
export declare const createPageBlocksCreateValidation: () => zod.ZodObject<zod.objectUtil.extendShape<{
    name: zod.ZodString;
    content: zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>;
}, {
    blockCategory: zod.ZodEffects<zod.ZodString, string, string>;
}>, "strip", zod.ZodTypeAny, {
    name: string;
    content: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[];
    blockCategory: string;
}, {
    name: string;
    content: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[];
    blockCategory: string;
}>;
export declare const createPageBlocksUpdateValidation: () => zod.ZodObject<{
    name: zod.ZodOptional<zod.ZodString>;
    content: zod.ZodOptional<zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>>;
    blockCategory: zod.ZodOptional<zod.ZodEffects<zod.ZodEffects<zod.ZodOptional<zod.ZodString>, string | undefined, string | undefined>, string | undefined, string | undefined>>;
}, "strip", zod.ZodTypeAny, {
    name?: string | undefined;
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    blockCategory?: string | undefined;
}, {
    name?: string | undefined;
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    blockCategory?: string | undefined;
}>;
