import { PbContext } from "../../../types";
import type { TranslatedCollection } from "../domain/TranslatedCollection";
interface GetTranslatedCollectionParams {
    collectionId: string;
    languageCode: string;
}
export declare class GetTranslatedCollectionUseCase {
    private readonly context;
    constructor(context: PbContext);
    execute(params: GetTranslatedCollectionParams): Promise<TranslatedCollection>;
}
export {};
