"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageElementId = void 0;
var _utils = require("@webiny/utils");
class PageElementId {
  constructor(id) {
    this.id = id || (0, _utils.generateAlphaNumericId)(10);
  }
  static create(id) {
    return new PageElementId(id);
  }
  getValue() {
    return this.id;
  }
  toString() {
    return this.id;
  }
}
exports.PageElementId = PageElementId;

//# sourceMappingURL=PageElementId.js.map