"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteTranslatableCollectionUseCase = void 0;
var _DeleteTranslatableCollectionRepository = require("../repository/DeleteTranslatableCollectionRepository");
class DeleteTranslatableCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute(params) {
    const deleteRepository = new _DeleteTranslatableCollectionRepository.DeleteTranslatableCollectionRepository(this.context);
    await deleteRepository.execute(params.collectionId);
  }
}
exports.DeleteTranslatableCollectionUseCase = DeleteTranslatableCollectionUseCase;

//# sourceMappingURL=DeleteTranslatableCollectionUseCase.js.map