"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteTranslatedCollectionUseCase = void 0;
var _DeleteTranslatedCollectionRepository = require("../repository/DeleteTranslatedCollectionRepository");
class DeleteTranslatedCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute(params) {
    const deleteRepository = new _DeleteTranslatedCollectionRepository.DeleteTranslatedCollectionRepository(this.context);
    await deleteRepository.execute(params);
  }
}
exports.DeleteTranslatedCollectionUseCase = DeleteTranslatedCollectionUseCase;

//# sourceMappingURL=DeleteTranslatedCollectionUseCase.js.map